# Generated from haml-4.0.3.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name haml
%global rubyabi 1.9.1

Summary: An elegant, structured (X)HTML/XML templating engine
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 4.0.3
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://haml.info/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(tilt) 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Haml (HTML Abstraction Markup Language) is a layer on top of HTML or XML
that's
designed to express the structure of documents in a non-repetitive, elegant,
and
easy way by using indentation rather than closing tags and allowing Ruby to be
embedded with ease. It was originally envisioned as a plugin for Ruby on
Rails,
but it can function as a stand-alone templating engine.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
rm %{buildroot}%{gem_instdir}/.yardopts


%files
%dir %{gem_instdir}
%{_bindir}/haml
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/MIT-LICENSE

%files doc
%doc %{gem_docdir}
%{gem_instdir}/README.md
%{gem_instdir}/REFERENCE.md
%{gem_instdir}/CHANGELOG.md
%{gem_instdir}/FAQ.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Jul 15 2013 Mo Morsi <mmorsi@redhat.com> - 4.0.3-1
- Initial package
